Debian Bug report logs - #607108
live-build: lukshome script broken on modern systems

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Clint Adams <clint@gnu.org>

Date: Tue, 14 Dec 2010 18:51:01 UTC

Severity: normal

Found in version live-build/2.0.9-1

Fixed in versions live-build/2.0.11-1, live-build/3.0~a11-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#607108; Package live-build. (Tue, 14 Dec 2010 18:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@gnu.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 14 Dec 2010 18:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lukshome script broken on modern systems
Date: Tue, 14 Dec 2010 18:49:46 +0000
Package: live-build
Version: 2.0.9-1
Severity: normal

/lib/udev/vol_id doesn't exist anymore, but this works:


--- /usr/share/live/build/examples/hooks/all_chroot_losetup-lukshome.sh	2010-12-06 06:05:40.000000000 -0500
+++ config/chroot_local-hooks/all_chroot_losetup-lukshome.sh	2010-12-14 10:26:24.000000000 -0500
@@ -333,27 +333,7 @@
 	esac
 done
 
-# search for a partition labeled "lukshome" or $LUKSPART
-for sysblock in $(echo /sys/block/* | tr ' ' '\n' | grep -v loop | grep -v ram | grep -v fd)
-do
-	for dev in $(subdevices "${sysblock}")
-	do
-		devname=$(sys2dev "${dev}")
-		# find partition name and filesystem type
-		if [ "$(/lib/udev/vol_id -l ${devname} 2>/dev/null)" = "${LUKSPART}" ]
-		then
-			# found one partition with correct label
-			CRYPTHOME="${devname}"
-			# don't search further
-			break
-		fi
-	done
-	# if already found, don't search further
-	if [ -n "${CRYPTHOME}" ]
-	then
-		break
-	fi
-done
+CRYPTHOME=$(/sbin/blkid -L ${LUKSPART})
 
 # if no partition found, exit
 if [ -z "${CRYPTHOME}" ]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#607108; Package live-build. (Tue, 14 Dec 2010 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 14 Dec 2010 19:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 607108@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Clint Adams <clint@gnu.org>
Cc: 607108@bugs.debian.org
Subject: Re: Bug#607108: live-build: lukshome script broken on modern systems
Date: Tue, 14 Dec 2010 19:59:34 +0100
tag 607108 pending
thanks

Hi,

applied more or less like that in git, thanks.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 14 Dec 2010 19:03:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 24 Dec 2010 18:03:06 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@gnu.org>:
Bug acknowledged by developer. (Fri, 24 Dec 2010 18:03:06 GMT) Full text and rfc822 format available.

Message #17 received at 607108-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 607108-close@bugs.debian.org
Subject: Bug#607108: fixed in live-build 2.0.11-1
Date: Fri, 24 Dec 2010 18:02:24 +0000
Source: live-build
Source-Version: 2.0.11-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0.11-1_all.deb
  to main/l/live-build/live-build-cgi_2.0.11-1_all.deb
live-build_2.0.11-1.diff.gz
  to main/l/live-build/live-build_2.0.11-1.diff.gz
live-build_2.0.11-1.dsc
  to main/l/live-build/live-build_2.0.11-1.dsc
live-build_2.0.11-1_all.deb
  to main/l/live-build/live-build_2.0.11-1_all.deb
live-build_2.0.11.orig.tar.gz
  to main/l/live-build/live-build_2.0.11.orig.tar.gz
live-helper_2.0.11-1_all.deb
  to main/l/live-build/live-helper_2.0.11-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607108@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 24 Dec 2010 18:49:26 +0100
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0.11-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 598100 607108
Changes: 
 live-build (2.0.11-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Disabling inclusion of GUI installer images on ubuntu.
   * Updating losetup-lukshome example hook to use blkid where available,
     thanks to Clint Adams <clint@gnu.org> (Closes: #607108).
 .
   [ Cody A.W. Somerville ]
   * Fixing numbering of live kernels and initrd files when using
     syslinux.
 .
   [ Daniel Baumann ]
   * Removing unmaintained package lists (Closes: #598100).
Checksums-Sha1: 
 c6c937c3a433c006282e16ef73916fc42cec352e 1268 live-build_2.0.11-1.dsc
 4af16a9a4aab532959cde88035c53587c0bd7298 2136610 live-build_2.0.11.orig.tar.gz
 d7fc94c14ad75e7e2619f1da5ffe3d3c80503272 44344 live-build_2.0.11-1.diff.gz
 050c410fd0e6933f8cbd9eff7c674a373ebd72a6 1191444 live-build_2.0.11-1_all.deb
 30b549fa22126345f62306da28129fa3e3def968 61516 live-build-cgi_2.0.11-1_all.deb
 d240b0a59ec95678954a9fcf6e684b3fcf744d3f 56852 live-helper_2.0.11-1_all.deb
Checksums-Sha256: 
 71a232ddfe4b5f19c2eac5e72ca0612fc6d5828fabc6d189cd752a27054fad0f 1268 live-build_2.0.11-1.dsc
 243fdce6446c201291b326cc141f3586b3239e242f510068652732a46147fe9c 2136610 live-build_2.0.11.orig.tar.gz
 3b5502652887a9cac234d2cecc2695528c60e8311afc323522ea5d0c1c11232d 44344 live-build_2.0.11-1.diff.gz
 a209febd17fcfbbd9899dcffdc1c8a077fe9f91366d72d182c31b3cfdc4d46b0 1191444 live-build_2.0.11-1_all.deb
 d77d9bead2b892f00e8c16239a9a2fa3acc6bcb2cd7d9505249a8ef755ec975c 61516 live-build-cgi_2.0.11-1_all.deb
 10af742867a54bc16c1325d3b84b61f500555c8dd6c549a8bf32300e8cca63be 56852 live-helper_2.0.11-1_all.deb
Files: 
 e6f35f102b27f957107db1e4f2b09e92 1268 misc optional live-build_2.0.11-1.dsc
 32368e0b25c40f8503ae7ba9ed4ca382 2136610 misc optional live-build_2.0.11.orig.tar.gz
 d388215fca07d3b0864e0de19aec47b8 44344 misc optional live-build_2.0.11-1.diff.gz
 f3d4bcc136ec8421ad4d5fc86e7b9690 1191444 misc optional live-build_2.0.11-1_all.deb
 439eca6f192a8edfac81917cdf47221c 61516 misc optional live-build-cgi_2.0.11-1_all.deb
 5f18c63fa17dd8ec149d64df4275b33e 56852 misc optional live-helper_2.0.11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0U3g0ACgkQ+C5cwEsrK56FBgCgyxx7mdYoxRINrHjF2NLfnlYF
GEYAniG7wJLnFRsKL0LmPUB2X3a/1vuj
=MSbN
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 11 Jan 2011 13:06:07 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@gnu.org>:
Bug acknowledged by developer. (Tue, 11 Jan 2011 13:06:07 GMT) Full text and rfc822 format available.

Message #22 received at 607108-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 607108-close@bugs.debian.org
Subject: Bug#607108: fixed in live-build 3.0~a11-1
Date: Tue, 11 Jan 2011 13:03:07 +0000
Source: live-build
Source-Version: 3.0~a11-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a11-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a11-1_all.deb
live-build_3.0~a11-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a11-1.debian.tar.gz
live-build_3.0~a11-1.dsc
  to main/l/live-build/live-build_3.0~a11-1.dsc
live-build_3.0~a11-1_all.deb
  to main/l/live-build/live-build_3.0~a11-1_all.deb
live-build_3.0~a11.orig.tar.gz
  to main/l/live-build/live-build_3.0~a11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607108@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Jan 2011 13:42:17 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a11-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 607108 608477 608566
Changes: 
 live-build (3.0~a11-1) experimental; urgency=low
 .
   * Disabling inclusion of GUI installer images on ubuntu.
   * Updating losetup-lukshome example hook to use blkid where available,
     thanks to Clint Adams <clint@gnu.org> (Closes: #607108).
   * Removing --apt-pdiff option, this doesn't belong into live-build in
     the first place.
   * Removing some more lenny-only stuff.
   * Simplyfing defaults function a bit.
   * Correcting outdated program variable.
   * Updating help function in lb for live-build.
   * Updating man function for newer live-build versions (Closes:
     #608477).
   * Removing xresprobe from standard-x11 list (Closes: #608566).
   * Generalizing compression handling and adding support for lzip
     tarballs.
   * Adding initial defaults for progress.
   * Removing encryption support until we have something for current
     kernels again.
   * Removing lb_chroot_sysvinit in favour of a hook, which is the
     appropriate way to handle this.
   * Removing legacy support for live-initramfs.
   * Correcting typo in compression defaults.
   * Removing unused debian-release mode.
   * Updating some defaults for progress.
   * Adding derivatives handling for progress.
   * Updating apt indices defaults for progress.
   * Shortening iso volume default for progress.
   * Correcting compression handling for tarballs.
   * Updating parent distribution defaults for progress.
   * Correcting typo in lzip default options.
   * Updating compression defaults for progress.
Checksums-Sha1: 
 2353aaaab2615a226f3d41244acd9ff80bca0e04 1282 live-build_3.0~a11-1.dsc
 ac9fdce03b434e42bf71514c188a009d57758163 1932129 live-build_3.0~a11.orig.tar.gz
 a3e5247055d11cae8ec93269ad2d38a50abb3707 38443 live-build_3.0~a11-1.debian.tar.gz
 3d2f2a5914af36403a93f0e996c71ddfa6f84935 1123844 live-build_3.0~a11-1_all.deb
 80bf2e9e4faf1e779de9685b3c2d89a3462adcb4 54690 live-build-cgi_3.0~a11-1_all.deb
Checksums-Sha256: 
 254f4328e260f58bf0ae297e35ec62291159c845057f6f13cd41cf840a501dec 1282 live-build_3.0~a11-1.dsc
 411d4bd9605afe29e72c5e42b7dbf5d6eb3a1566370520df68638495b933419f 1932129 live-build_3.0~a11.orig.tar.gz
 c751d3bd581f21bda2b42ef11d4694ec3bea7d2227a7a03ad6c74086823fcc3b 38443 live-build_3.0~a11-1.debian.tar.gz
 f94bf2e08c6b7726108a8a4747006581aa1cea0a29a6850cdb43ff6e46634d31 1123844 live-build_3.0~a11-1_all.deb
 1621a4e0f63d5312ca1fed710874653fa66c2ec584a0c7b3e3bd97e9e31612bb 54690 live-build-cgi_3.0~a11-1_all.deb
Files: 
 af0e4ab662e5fc07755c00c262f2c9c7 1282 misc optional live-build_3.0~a11-1.dsc
 d3be39007c65ce46ea6ea08b990077c2 1932129 misc optional live-build_3.0~a11.orig.tar.gz
 90f58a1758e9dcf270d0b478bd9b48d4 38443 misc optional live-build_3.0~a11-1.debian.tar.gz
 94ee84211fa5d6cb6722af3d501873b5 1123844 misc optional live-build_3.0~a11-1_all.deb
 9e5ee3de6d176e23585e69b8f710ab21 54690 misc optional live-build-cgi_3.0~a11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0sUUEACgkQ+C5cwEsrK56blACg3DXRWzf40pv+ql9POVqwGLoI
Vl4AoIs/o4YBnDS99eCNHvx34N5SfGr/
=Dep3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Feb 2011 07:31:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:57:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.